%{?nodejs_find_provides_and_requires}

Name:       nodejs-grunt-cli
Version:    0.1.13
Release:    1%{?dist}
Summary:    Command-line interface for Grunt, the JavaScript testing framework
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/gruntjs/grunt-cli
Source0:    http://registry.npmjs.org/grunt-cli/-/grunt-cli-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging
Requires:       npm(grunt)

%description
Grunt is the JavaScript task runner.

Grunt-cli gives you access to the grunt command-line interface anywhere on
your system, which is useful when running a locally installed Grunt for your
project.


%prep
%setup -q -n package
%nodejs_fixdep findup-sync '~0.1'
%nodejs_fixdep nopt '~2.0'
%nodejs_fixdep resolve '~0.3'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-cli
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/grunt-cli

install -p -D -m0755 bin/grunt \
    %{buildroot}%{nodejs_sitelib}/grunt-cli/bin/grunt-cli
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/grunt-cli/bin/grunt-cli \
    %{buildroot}%{_bindir}/grunt

# Bash completion
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
sed '1{\@^#!/bin/bash@d}' completion/bash \
    > %{buildroot}%{_datadir}/bash-completion/completions/grunt
chmod 0644 %{buildroot}%{_datadir}/bash-completion/completions/grunt
touch -r completion/bash %{buildroot}%{_datadir}/bash-completion/completions/grunt

%nodejs_symlink_deps


%files
%doc AUTHORS LICENSE-MIT README.md
%{nodejs_sitelib}/grunt-cli
%{_bindir}/grunt
%{_datadir}/bash-completion/completions/grunt


%changelog
* Sun Mar 30 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.13-1
- update to upstream release 0.1.13

* Sat Jan 11 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.11-1
- update to upstream release 0.1.11
- improve description and summary
- install bash-completion file in the correct place

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.9-1
- initial package
